#include <stdint.h>

#define F_CPU 1000000UL

#include <avr/interrupt.h>
#include <avr/io.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
#include <util/delay.h>

volatile int tick;

int main(void)
{
    cli();
    tick = 0;
    DDRB = 0xff;

    TCCR0A = (1 << WGM01);
    TCCR0B = (1 << CS01);
    TIMSK |= (1 << OCIE0A); // enable compare match interrupt

    // ((1000000 / 8) / 1000) = 125
    OCR0A = 125 - 1;

    // TIMSK |= (1 << TOIE0);

    sei();
    while(1) {
        if(tick >= 1000) {
            PORTB ^= (1 << PB4);
            tick = 0;
        }
    }
    return 0;
}

ISR(TIM0_COMPA_vect)
{
    tick++;
}
